--@TBCONFIG INFO: High Pass Contrast
--@TBCONFIG INFO: Revision 1
--@TBCONFIG INFO:  
--@TBCONFIG SLIDER: Strength, 100
--@TBCONFIG SLIDER: Radius, 25
--@TBCONFIG FLAG: Post Levels, true

paint_open(0)

paint_buffer_from_layer(0)

paint_filter("Negative",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
paint_filter("Box Blur",0,sliderVal2 * 1000,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0)

paint_buffer_from_layer(1)
paint_buffer_to_layer(0)
paint_buffer_merge_layer(1, MERGE_SOFT_LIGHT, sliderVal1 * 255)

if flagVal1 == true then
  paint_filter("Levels",0,0,1000,0,1000,0,0,0,0,1,1,1,0,1,0,0,0,0,0)
end

paint_close()




